#
# spec file for package python-pkginfo
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Tests are currently broken.
%bcond_with tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pkginfo
Version:        1.4.1
Release:        lp151.2.2
Summary:        Query metadatdata from sdists / bdists / installed packages
License:        MIT
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/pkginfo/
Source:         https://files.pythonhosted.org/packages/source/p/pkginfo/pkginfo-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with tests}
BuildRequires:  %{python_module nose}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post):   update-alternatives
Requires(preun):  update-alternatives
%python_subpackages

%description
This package provides an API for querying the distutils metadata written in
the PKG-INFO file inside a source distriubtion (an sdist) or a
binary distribution (e.g., created by running bdist_egg).  It can
also query the EGG-INFO directory of an installed distribution, and
the *.egg-info stored in a "development checkout"
(e.g, created by running setup.py develop).

%prep
%setup -q -n pkginfo-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_clone -a %{buildroot}%{_bindir}/pkginfo

%if %{with tests}
%check
%{python_expand $python setup.py develop --user
$python setup.py test -q
}
%endif

%post
%python_install_alternative pkginfo

%preun
%python_uninstall_alternative pkginfo

%files %{python_files}
%defattr(-,root,root,-)
%doc README.txt CHANGES.txt LICENSE.txt TODO.txt
%python_alternative %{_bindir}/pkginfo
%{python_sitelib}/pkginfo
%{python_sitelib}/pkginfo-%{version}-py*.egg-info

%changelog
* Wed Apr 19 2017 toddrme2178@gmail.com
- Update to version 1.4.1
  * Packaging only change (invalid sdist bulit for 1.4.0).
- Update to version 1.4.0
  * Relicense under MIT license: the PSF license is not suitable for third-party libraries.
- Update to version 1.3.2
  * Packaging-only change (automate fix for wheel built for 1.3.1).
- Update to version 1.3.1
  * Packaging-only change (invalid wheel built for 1.3.0).
- Update to version 1.3.0
  * Update homepage URL to point to Launchpad, rather than PyPI.
  * Add support for building wheels.
  * Add support for Python 3.5.
  * Drop support for Python 2.6 and 3.2.
- Implement single-spec version.
* Tue Jun  2 2015 p.drouand@gmail.com
- Update to version 1.2.1
  * Add overlooked Trove classifier for Python 3.4.
- Changes from version 1.2 final
  * Add support for Python 3.4, PyPy3.
  * Add 100%% coverage for pkginfo.commandline module.
* Tue Feb  4 2014 speilicke@suse.com
- Initial version
